Debian Bug report logs - #537744
libbfd needs to be linked statically again

version graph

Package: oprofile; Maintainer for oprofile is LIU Qi <liuqi82@gmail.com>;

Reported by: Michel Dänzer <daenzer@debian.org>

Date: Mon, 20 Jul 2009 16:33:01 UTC

Severity: important

Tags: patch

Found in versions 0.9.4+cvs20090629-2, oprofile/0.9.4+cvs20090629-1

Fixed in version oprofile/0.9.6-1.1

Done: Alexander Reichle-Schmehl <tolimar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#537744; Package oprofile. (Mon, 20 Jul 2009 16:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
New Bug report received and forwarded. Copy sent to LIU Qi <liuqi82@gmail.com>. (Mon, 20 Jul 2009 16:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libbfd needs to be linked statically again
Date: Mon, 20 Jul 2009 18:29:02 +0200
Package: oprofile
Version: 0.9.4+cvs20090629-1
Severity: important

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


The latest oprofile upload reverted previous fixes to link libbfd
statically. Now that it's linked dynamically again (which I thought was a
policy violation, but I can't seem to find that right now), this will break
next time binutils changes the libbfd ABI. See e.g. bugs 515908 and 520646.

Please reinstate the previous fixes.


- -- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (102, 'experimental')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.30.1
Locale: LANG=de_CH.UTF-8, LC_CTYPE=de_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages oprofile depends on:
ii  binutils              2.19.51.20090714-1 The GNU assembler, linker and bina
ii  cdebconf [debconf-2.0 0.145              Debian Configuration Management Sy
ii  debconf [debconf-2.0] 1.5.27             Debian configuration management sy
ii  libc6                 2.9-19             GNU C Library: Shared libraries
ii  libgcc1               1:4.4.0-11         GCC support library
ii  libpopt0              1.14-4             lib for parsing cmdline parameters
ii  libstdc++6            4.4.0-11           The GNU Standard C++ Library v3

oprofile recommends no packages.

Versions of packages oprofile suggests:
ii  oprofile-gui         0.9.4+cvs20090629-1 system-wide profiler for Linux sys

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKZJtKWoGvjmrbsgARAkKnAJ9Ar8u7PWS8DuhFf+r0lzzV6hVqrQCgmWbl
FBNqcDDf3umxgWpFTBmIvyI=
=yg69
-----END PGP SIGNATURE-----




Reply sent to LIU Qi <liuqi82@gmail.com>:
You have taken responsibility. (Wed, 22 Jul 2009 12:30:03 GMT) Full text and rfc822 format available.

Notification sent to Michel Dänzer <daenzer@debian.org>:
Bug acknowledged by developer. (Wed, 22 Jul 2009 12:30:03 GMT) Full text and rfc822 format available.

Message #10 received at 537744-close@bugs.debian.org (full text, mbox):

From: LIU Qi <liuqi82@gmail.com>
To: 537744-close@bugs.debian.org
Subject: Bug#537744: fixed in oprofile 0.9.4+cvs20090629-2
Date: Wed, 22 Jul 2009 12:03:12 +0000
Source: oprofile
Source-Version: 0.9.4+cvs20090629-2

We believe that the bug you reported is fixed in the latest version of
oprofile, which is due to be installed in the Debian FTP archive:

oprofile-gui_0.9.4+cvs20090629-2_i386.deb
  to pool/main/o/oprofile/oprofile-gui_0.9.4+cvs20090629-2_i386.deb
oprofile_0.9.4+cvs20090629-2.diff.gz
  to pool/main/o/oprofile/oprofile_0.9.4+cvs20090629-2.diff.gz
oprofile_0.9.4+cvs20090629-2.dsc
  to pool/main/o/oprofile/oprofile_0.9.4+cvs20090629-2.dsc
oprofile_0.9.4+cvs20090629-2_i386.deb
  to pool/main/o/oprofile/oprofile_0.9.4+cvs20090629-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 537744@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
LIU Qi <liuqi82@gmail.com> (supplier of updated oprofile package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 20 Jul 2009 09:52:26 +0800
Source: oprofile
Binary: oprofile oprofile-gui
Architecture: source i386
Version: 0.9.4+cvs20090629-2
Distribution: unstable
Urgency: low
Maintainer: LIU Qi <liuqi82@gmail.com>
Changed-By: LIU Qi <liuqi82@gmail.com>
Description: 
 oprofile   - system-wide profiler for Linux systems
 oprofile-gui - system-wide profiler for Linux systems (GUI components)
Closes: 537744
Changes: 
 oprofile (0.9.4+cvs20090629-2) unstable; urgency=low
 .
   * daemon/opd_perfmon.c: Fix the FTBFS bug on ia64 system.
   * configure.in, m4/binutils.m4: libbfd needs to be linked statically
     (Closes: #537744).
   * debian/control: add mipsel and s390 to architecture.
Checksums-Sha1: 
 b8f8b872671e7997d0e4e66a8d499907ec93aad7 1441 oprofile_0.9.4+cvs20090629-2.dsc
 f97fd668163b7ce41470aa96ed4eaf6cc3216c09 15072 oprofile_0.9.4+cvs20090629-2.diff.gz
 a3dfb8a4fcfc1b5617a676de9f181bea80ab1aa6 2795770 oprofile_0.9.4+cvs20090629-2_i386.deb
 bb21a04e30d288ee2a08cb650864eb823de3f8d5 95108 oprofile-gui_0.9.4+cvs20090629-2_i386.deb
Checksums-Sha256: 
 6c23bdc8a515eb29766bab08cae0eaf8ce9f00bbd3c011694f9ca0ee30fb82d2 1441 oprofile_0.9.4+cvs20090629-2.dsc
 9486ac57f11c65c811338872a3eca53dcdf960c91793217e85d017e30c9f5c56 15072 oprofile_0.9.4+cvs20090629-2.diff.gz
 4fa15215ce68cc79a407e31a3ce036ea84a925a1da2a859a8424a4027c7c97c2 2795770 oprofile_0.9.4+cvs20090629-2_i386.deb
 666a15a29d15c636beeb39bc9b89f34143bf468f2b025af5c5af097102f70ce1 95108 oprofile-gui_0.9.4+cvs20090629-2_i386.deb
Files: 
 7d06d8df758929df5f462dc6880c3b18 1441 devel optional oprofile_0.9.4+cvs20090629-2.dsc
 bc5cd4d2f8bc7cb04b78dc86a3440369 15072 devel optional oprofile_0.9.4+cvs20090629-2.diff.gz
 9bdddd8bb5979bb30f838b62de896693 2795770 devel optional oprofile_0.9.4+cvs20090629-2_i386.deb
 21ab82f199fe38f3c2c6180eacab10b1 95108 devel optional oprofile-gui_0.9.4+cvs20090629-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpm/LEACgkQ5TUK4GCH0vgk5gCfTIwNNSFFaq9bgeRWmwXXrLvz
O58AnRfv0mu1ocF8m2NNGaGaCikc4veT
=bll4
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions oprofile/0.9.4+cvs20090629-2 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Aug 2009 05:00:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 0.9.4+cvs20090629-2. Request was from Nick Lewycky <nicholas@mxc.ca> to control@bugs.debian.org. (Tue, 11 Aug 2009 05:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#537744; Package oprofile. (Tue, 11 Aug 2009 05:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Lewycky <nicholas@mxc.ca>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Tue, 11 Aug 2009 05:03:05 GMT) Full text and rfc822 format available.

Message #19 received at 537744@bugs.debian.org (full text, mbox):

From: Nick Lewycky <nicholas@mxc.ca>
To: 537744@bugs.debian.org
Subject: (no subject)
Date: Mon, 10 Aug 2009 21:59:45 -0700
This is not fixed.

$ COLUMNS=120 dpkg --list oprofile
Desired=Unknown/Install/Remove/Purge/Hold
| 
Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: 
uppercase=bad)
||/ Name                     Version                  Description
+++-========================-========================-================================================================
ii  oprofile                 0.9.4+cvs20090629-2      system-wide 
profiler for Linux systems
$ pwd
/usr/lib/oprofile
$ ls -l
total 20
-rw-r--r-- 1 root root 7152 2009-07-22 04:46 libopagent.a
-rw-r--r-- 1 root root  973 2009-07-22 04:46 libopagent.la
lrwxrwxrwx 1 root root   19 2009-07-26 10:24 libopagent.so -> 
libopagent.so.1.0.0
lrwxrwxrwx 1 root root   19 2009-07-26 10:24 libopagent.so.1 -> 
libopagent.so.1.0.0
-rw-r--r-- 1 root root 8104 2009-07-22 04:46 libopagent.so.1.0.0
$ objdump -T libopagent.so

libopagent.so:     file format elf32-i386

DYNAMIC SYMBOL TABLE:
00000000      DF *UND*  00000000  GLIBC_2.0   __errno_location
00000000      D  *UND*  00000000              bfd_check_format
00000000      DF *UND*  00000000  GLIBC_2.0   creat
00000000      DF *UND*  00000000  GLIBC_2.0   getpid
00000000      DF *UND*  00000000  GLIBC_2.0   __xstat
00000000  w   D  *UND*  00000000              __gmon_start__
00000000  w   D  *UND*  00000000              _Jv_RegisterClasses
00000000      D  *UND*  00000000              bfd_init
00000000      D  *UND*  00000000              bfd_openr
00000000      DF *UND*  00000000  GLIBC_2.0   gettimeofday
00000000      DF *UND*  00000000  GLIBC_2.1   fdopen
00000000      DF *UND*  00000000  GLIBC_2.0   __overflow
00000000      DF *UND*  00000000  GLIBC_2.0   fflush
00000000      DF *UND*  00000000  GLIBC_2.0   fseek
00000000      DF *UND*  00000000  GLIBC_2.1   fclose
00000000      DF *UND*  00000000  GLIBC_2.0   flockfile
00000000      DO *UND*  00000000  GLIBC_2.0   stderr
00000000      DF *UND*  00000000  GLIBC_2.0   strlen
00000000      D  *UND*  00000000              bfd_perror
00000000      D  *UND*  00000000              bfd_get_mach
00000000      DF *UND*  00000000  GLIBC_2.0   ftell
00000000      DF *UND*  00000000  GLIBC_2.1   fwrite_unlocked
00000000      DF *UND*  00000000  GLIBC_2.0   fwrite
00000000      DF *UND*  00000000  GLIBC_2.0   fprintf
00000000      DF *UND*  00000000  GLIBC_2.0   readlink
00000000      DF *UND*  00000000  GLIBC_2.0   funlockfile
00000000      D  *UND*  00000000              bfd_get_arch
00000000      DF *UND*  00000000  GLIBC_2.0   fflush_unlocked
00000000      DF *UND*  00000000  GLIBC_2.0   snprintf
00000000  w   DF *UND*  00000000  GLIBC_2.1.3 __cxa_finalize
00000ba0 g    DF .text  00000007  OPAGENT_1.0 op_minor_version
00000000 g    DO *ABS*  00000000  OPAGENT_1.0 OPAGENT_1.0
00001010 g    DF .text  00000208  OPAGENT_1.0 op_write_native_code
00001220 g    DF .text  000000db  OPAGENT_1.0 op_close_agent
00001300 g    DF .text  00000401  OPAGENT_1.0 op_open_agent
00000bb0 g    DF .text  00000110  OPAGENT_1.0 op_unload_native_code
00000b90 g    DF .text  0000000a  OPAGENT_1.0 op_major_version
00000cc0 g    DF .text  00000348  OPAGENT_1.0 op_write_debug_line_info

See those *UND* bfd_foo symbols? bfd_init and friends? Those are defined 
by libbfd. Here's an example program:

$ cat opagenttest.c
char op_open_agent ();
int
main ()
{
return op_open_agent ();
  ;
  return 0;
}
$ gcc opagenttest.c -L/usr/lib/oprofile -lopagent -o opagenttest
/usr/lib/oprofile/libopagent.so: undefined reference to `bfd_check_format'
/usr/lib/oprofile/libopagent.so: undefined reference to `bfd_init'
/usr/lib/oprofile/libopagent.so: undefined reference to `bfd_openr'
/usr/lib/oprofile/libopagent.so: undefined reference to `bfd_perror'
/usr/lib/oprofile/libopagent.so: undefined reference to `bfd_get_mach'
/usr/lib/oprofile/libopagent.so: undefined reference to `bfd_get_arch'
collect2: ld returned 1 exit status
$

Please statically link libbfd into libopagent.so.

Thanks,
Nick Lewycky




Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#537744; Package oprofile. (Sat, 15 Aug 2009 04:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Lewycky <nicholas@mxc.ca>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Sat, 15 Aug 2009 04:48:02 GMT) Full text and rfc822 format available.

Message #24 received at 537744@bugs.debian.org (full text, mbox):

From: Nick Lewycky <nicholas@mxc.ca>
To: 537744@bugs.debian.org
Subject: proposed fix
Date: Fri, 14 Aug 2009 21:46:22 -0700
[Message part 1 (text/plain, inline)]
This is easier than I expected. configure.in already defines BFD_LIBS 
correctly as:

  BFD_LIBS="/usr/lib/libbfd.a -lz -liberty $DL_LIB $INTL_LIB"

which means that the fix is quite simply to add $(BFD_LIBS) to 
libopagent_la_LIBADD in libopagent/Makefile.am. I have verified that 
this after works building and installing my own Debian packages with the 
change.

Patch attached.

It so happens that BFD_LIBS includes a superset of LIBERTY_LIBS, so you 
could remove that from libopagent_la_LIBADD too, though I decided to 
leave them both in, in case they change independently of each other in 
the future.

Nick Lewycky
[bug537744.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from Roberto C. Sanchez <roberto@connexer.com> to control@bugs.debian.org. (Tue, 24 Nov 2009 00:48:12 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Roberto C. Sanchez <roberto@connexer.com> to control@bugs.debian.org. (Wed, 25 Nov 2009 01:57:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 537744: 558412 Request was from Roberto C. Sanchez <roberto@connexer.com> to control@bugs.debian.org. (Sat, 28 Nov 2009 18:21:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LIU Qi <liuqi82@gmail.com>:
Bug#537744; Package oprofile. (Thu, 22 Apr 2010 14:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to LIU Qi <liuqi82@gmail.com>. (Thu, 22 Apr 2010 14:12:03 GMT) Full text and rfc822 format available.

Message #35 received at 537744@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: 537744@bugs.debian.org, 573905@bugs.debian.org
Subject: oprofile: diff for NMU version 0.9.6-1.1
Date: Thu, 22 Apr 2010 16:08:24 +0200
[Message part 1 (text/plain, inline)]
tags 537744 + patch
tags 573905 + patch

Hi!

Dear maintainer,

Based upon the previous work, I've prepared an NMU for oprofile
(versioned as 0.9.6-1.1) and uploaded it to DELAYED/7. Please feel free
to tell me if I should delay it longer.


Best Regards,
  Alexander
[oprofile-0.9.6-1.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Thu, 22 Apr 2010 14:12:09 GMT) Full text and rfc822 format available.

Reply sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
You have taken responsibility. (Thu, 29 Apr 2010 15:45:16 GMT) Full text and rfc822 format available.

Notification sent to Michel Dänzer <daenzer@debian.org>:
Bug acknowledged by developer. (Thu, 29 Apr 2010 15:45:16 GMT) Full text and rfc822 format available.

Message #42 received at 537744-close@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: 537744-close@bugs.debian.org
Subject: Bug#537744: fixed in oprofile 0.9.6-1.1
Date: Thu, 29 Apr 2010 15:43:33 +0000
Source: oprofile
Source-Version: 0.9.6-1.1

We believe that the bug you reported is fixed in the latest version of
oprofile, which is due to be installed in the Debian FTP archive:

oprofile-gui_0.9.6-1.1_amd64.deb
  to main/o/oprofile/oprofile-gui_0.9.6-1.1_amd64.deb
oprofile_0.9.6-1.1.diff.gz
  to main/o/oprofile/oprofile_0.9.6-1.1.diff.gz
oprofile_0.9.6-1.1.dsc
  to main/o/oprofile/oprofile_0.9.6-1.1.dsc
oprofile_0.9.6-1.1_amd64.deb
  to main/o/oprofile/oprofile_0.9.6-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 537744@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl <tolimar@debian.org> (supplier of updated oprofile package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 22 Apr 2010 15:43:12 +0200
Source: oprofile
Binary: oprofile oprofile-gui
Architecture: source amd64
Version: 0.9.6-1.1
Distribution: unstable
Urgency: low
Maintainer: LIU Qi <liuqi82@gmail.com>
Changed-By: Alexander Reichle-Schmehl <tolimar@debian.org>
Description: 
 oprofile   - system-wide profiler for Linux systems
 oprofile-gui - system-wide profiler for Linux systems (GUI components)
Closes: 537744 573905
Changes: 
 oprofile (0.9.6-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add patch by Yukiharu YABUKI to staticaly link against libbfd
    (Closes: #537744, #573905)
Checksums-Sha1: 
 096e6129efb6ec033e7d3c1bcf6fb574c59c983f 1433 oprofile_0.9.6-1.1.dsc
 29f7e1efcfc8795d240e8447e07d90b43e00496a 13881 oprofile_0.9.6-1.1.diff.gz
 87e0c24f4def5aede3ef8e4c67ae9198e91ea9f8 3161434 oprofile_0.9.6-1.1_amd64.deb
 0cf54bf11f1750be5058bcdccadbb3f4c284f780 97406 oprofile-gui_0.9.6-1.1_amd64.deb
Checksums-Sha256: 
 a2d507f040cde75db6b965d3c27a9cde7d69cc51c5ce32b70b7e7eff96e8c4ae 1433 oprofile_0.9.6-1.1.dsc
 8145ce8b4e65c8c7321febc1cdf3f01891809b10c13d4667c70d70767351924e 13881 oprofile_0.9.6-1.1.diff.gz
 8e204ef8c1f6c6aa924d7e7da5e05981245e30524710e502c880934408c11d69 3161434 oprofile_0.9.6-1.1_amd64.deb
 2d073e56bf90a5c2ffa2fcc5ad8cdea6d006a9e138621d0ae551c18fa8dd34cc 97406 oprofile-gui_0.9.6-1.1_amd64.deb
Files: 
 40fb1b9bd40f52d587e8b3ba8cccc9a1 1433 devel optional oprofile_0.9.6-1.1.dsc
 6ea9786a69c04b7cc7e7f6a955eb70b0 13881 devel optional oprofile_0.9.6-1.1.diff.gz
 66d53d5a349646003ddc6016eff75a8e 3161434 devel optional oprofile_0.9.6-1.1_amd64.deb
 b6adab2b4e2a2358df6ff38482c996ad 97406 devel optional oprofile-gui_0.9.6-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvQWJsACgkQBxd04ADYzRZ5uACgr3fKEK7XzxhVotAEuKKQvFtj
nQMAn3R88Z7grJS6q9Njo3SfEWEzF/VR
=y0XW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Jun 2010 07:34:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:23:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.